TokyoTyrantIterator
TokyoTyrantIterator::current
TokyoTyrantIterator
PHP Manual

# TokyoTyrantIterator::__construct

(PECL tokyo_tyrant >= 0.2.0)

TokyoTyrantIterator::__construct — Construct an iterator

### Description

public TokyoTyrantIterator::__construct ( mixed `$object` )

Construct a new TokyoTyrantIterator object. One connection can have multiple iterators but it is not quaranteed that all items are traversed in that case. `object` parameter can be either an of instance TokyoTyrant or TokyoTyrantTable.

### Parameters

This function has no parameters.

### Return Values

Throws an exception if iterator initialization fails.

### Examples

Example #1 TokyoTyrantIterator::__construct() example

`<?php
/* Connect to a table database */
$tt = new TokyoTyrantTable("localhost", 1979);
/* Passing null to put generates a new uid */
$index = $tt->put(null, array("column1" => "some data", "column2" => "more data"));
/* Construct an iterator */
$it = new TokyoTyrantIterator($tt);
foreach ($it as $value) {
var_dump($value);
}
?>`

The above example will output:

    array(2) {
      ["column1"]=>
      string(9) "some data"
      ["column2"]=>
      string(9) "more data"
    }

### See Also

- TokyoTyrantIterator::key() - Returns the current key
- TokyoTyrantIterator::current() - Get the current value
- TokyoTyrantIterator::next() - Move to next key
- TokyoTyrantIterator::rewind() - Rewinds the iterator
- TokyoTyrantIterator::key() - Returns the current key

TokyoTyrantIterator
TokyoTyrantIterator::current
TokyoTyrantIterator
PHP Manual